INTERFACE
SUBROUTINE CAPSAX(KPROMA,KNBPT,KTASK,PSP_CI,PTT,PQT,PSPS,PSLN,&
 & PESIG,PCAGUE,PGELAT,PGELAM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARDIMO , ONLY : JPNOTP
USE YOMDIM , ONLY : NFLEVG
USE SURFACE_FIELDS_MIX, ONLY : YSP_CID, YSP_CI
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(OUT) :: PSP_CI(KPROMA,YSP_CID%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PQT(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSPS(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSLN(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAGUE(2,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
END SUBROUTINE CAPSAX
END INTERFACE
